Query report generation task - Account money - Mercado Pago Developers
Query report generation task

This endpoint allows you to query the status and details of a specific report generation task using its ID. The task is the action by which the creation of a report is requested and allows you to track its status. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/account/settlement_report/task/{task-id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
task-id
integer

REQUIRED

Unique identifier of the task.
Query
access_token
string

REQUIRED

OAuth access token. Example: APP_USR-3029_example
Response parameters
id
integer
Unique task ID.
user_id
integer
ID of the owner user.
begin_date
string
Start date and time of the report interval, in the UTC time zone (ISO 8601 format).
end_date
string
End date and time of the report interval, in the UTC time zone (ISO 8601 format).
Errors

400Bad Request. Invalid parameters in the request.

invalid_parameter

The value informed for the 'task-id' parameter is invalid. Validate if the sent information is correct and try again.

401Unauthorized.

Invalid token

The Access Token is invalid for this request. Validate if the sent information is correct and try again.

404Not Found. Task not found for the user.

task_not_found_for_user

The task to which you are trying to access was not found for the user. Validate if the sent information is correct and try again.

500Internal Server Error.

internal_error

Internal server error. Wait a few minutes and try again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/account/settlement_report/task/{task-id}?access_token=APP_USR-3029_ejemplo'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": 2222,
  "user_id": 574264905,
  "begin_date": "2022-10-01T00:00:00.000Z",
  "end_date": "2022-10-11T23:59:59.999Z",
  "created_from": "manual",
  "is_test": false,
  "is_reserve": true,
  "status": "processed",
  "report_type": "settlement",
  "generation_date": "2022-10-11T18:29:07.000Z",
  "report_id": 1,
  "last_modified": "2022-10-11T18:30:15.000Z",
  "retries": 0,
  "sub_type": null,
  "account_id": 574264905,
  "currency_id": "ARS",
  "format": "CSV",
  "file_name": "settlement-report-USER_ID-2022-10-11-182907.csv"
}